/*@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&display=swap');*/
@import url("https://use.typekit.net/dpp0khf.css");

body{
    /*background-image: url('../img/background.png');*/
    /*background-size: cover;*/
    /*background-position: top left;*/
    /*background-repeat: no-repeat;*/
    /*background-color: #3B5F34;*/
    height: 100%;
    width: 100%;
    /* padding-top:200px; */
}

h1,h2,h3,h4,h5,h6{
    font-family: bebas-neue-pro, sans-serif;
    color: #1b3147;
    font-weight: bold;
}
.btn {
    font-family: bebas-neue-pro, sans-serif;
    font-weight: 500;
    letter-spacing: 1px;
    font-size: 1.1rem;
}
.titolo{
    color: #1b3147;
    align-items: center;
    display: flex;
}

.titolo .material-icons{
    font-size:3rem;
}
.contenitoreGenerale{
    /*max-width:1600px;*/
    width:100%;
    margin:0 auto;
}
.cardMed{
    margin:25px auto;
    /* border: solid 1px black; */
    position: relative;
    background-image: linear-gradient(to bottom, #fff, #F5F5F5);
    /*border-radius: 10px;*/
    /*-webkit-border-radius:20px;*/
    box-shadow: 5px 5px 13px #999;
    overflow: hidden;
    clear:both;
}
.cardMed-intestazione{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding:15px 30px !important;
    background: #1b3147;
}
.cardMed-intestazione .titolo,
.cardMed-intestazione h1,
.cardMed-intestazione h2,
.cardMed-intestazione h3,
.cardMed-intestazione h4,
.cardMed-intestazione p,
.cardMed-intestazione span{
    color:#FFFFFF;
}
.cardMed-intestazione small{
    color:#fff;
}
.cardMed-intestazione .titolo i{
    margin-right:10px;
}
.cardMed-contenuto{
    padding:15px 30px !important;
}

@media (max-width: 768px){
    .cardMed-intestazione{
        align-items: start;
        flex-direction: column;
    }
}

.contenitoreMed{
    margin:50px auto 0;
    /* border: solid 1px black; */
    position: relative;
    background-image: linear-gradient(to bottom, #fff, #F5F5F5);
    border-radius: 10px;
    -webkit-border-radius:20px;
    box-shadow: 5px 5px 13px #999;
    padding:15px 30px !important;
    clear:both;
}
.btn-principale{
    font-family: bebas-neue-pro, sans-serif;
    background:#4b84a1;
    color:#fff;
}

.btn-principale:hover{
    background:#FFFFFF;
}
.show>.btn-primary.dropdown-toggle,
.btn-principale:focus,
.btn-principale:active{
    background:#4b84a1;
    border-color:#4b84a1;
}
.dropdown-item.focus,
.dropdown-item.active{
    background:#4b84a1;
    color: #fff !important;
}

.form-control::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #CCCCCC;
    opacity: 1; /* Firefox */
}

.form-control:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #CCCCCC;
}

.form-control::-ms-input-placeholder { /* Microsoft Edge */
    color: #CCCCCC;
}

.footerMed{
    position: relative;
    display: block;
}

.testoFooter{
    font-size:10px;
    color:#1b3147;
    text-align:center;
}

.btn-primary{
    background:#4b84a1;
    border-color:#4b84a1;
}
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:active{
    background-color: #c8e6f1 !important;
    border-color:#c8e6f1 !important;
    color:#1b3147;
    box-shadow: none !important;
}
.disabilitatoDeviceCare{
    background:#1b3147;
    border-color:#1b3147;
    opacity: 0.7;
    cursor: not-allowed;
}
.disabilitatoStampaContratto,
.disabilitatoVerificaSeriale{
    opacity: 0.7;
    cursor: not-allowed;
}
.disabilitatoVerificaSeriale{
    pointer-events: none;
}

label{
    font-family: bebas-neue-pro, sans-serif;
    font-size: 1.1rem;
}
/* floating label custom */
.floating-input-group{
    position:relative;
}
.floating-input-group > .input-group{
    position:unset;
}
.floating-input-group label{
    position: absolute;
    top:2px;
    left:25px;
}
.floating-input-group input:not(:placeholder-shown),
.floating-input-group textarea:not(:placeholder-shown),
.floating-input-group select:not(:placeholder-shown){
    padding-top:20px;
}
.floating-input-group input,
.floating-input-group select{
    height: 3rem;
}
.floating-input-group input:not(:placeholder-shown) + label,
.floating-input-group textarea:not(:placeholder-shown) + label,
.floating-input-group select:not(:placeholder-shown) + label{
    font-size: .75rem;
    color: #999;
    font-family: inherit;
}
.floating-input-group input:placeholder-shown + label,
.floating-input-group textarea:placeholder-shown + label,
.floating-input-group select:placeholder-shown + label{
    color: transparent;
}
.floating-input-group input:focus + label,
.floating-input-group textarea:focus + label,
.floating-input-group select:focus + label{
    z-index: 4;
}
/* fine floating label custom */
.disclaimer{
    font-size: .8rem;
    padding-top: 0.3rem;
    display: block;
    font-style: italic;
}

.table .even{
    background: #f5f5f5;
}
.table .riga:hover{
    background: #cae3ea89;
    /*color: #fff;*/
}

.dropdown-menu.show{
    padding: 0;
}
.dropdown-item-primary{
    background-color: #1b3147;
    color:#fff;
}
.dropdown-item-primary:hover,
.dropdown-item-primary:focus{
    background-color: #4b84a1;
    color:#fff;
}
.dropdown-item-danger{
    background-color: #dc3545;
    color:#fff;
}
.dropdown-item-danger:hover,
.dropdown-item-danger:focus{
    background-color: #83111c;
    color:#fff;
}

.form-group{
    position: relative;
}
.icon-form{
    position: absolute;
    left: 5px;
    top: 50%;
    transform: translateY(-50%);
    color: #1b3147;
}

.contenitoreFisso {
    height: 400px;
    display: block;
    overflow: auto;
}
/* rimuove il bottone chiudi nel modale */
.modal .close{
    display:none
}

/* per togliere i segnalini di cui non c'è il css */
table.dataTable thead .sorting:after{
    display: none;
}
table.dataTable thead .sorting_asc:after{
    display: none;
}
table.dataTable a i {
    color:#1b3147;
}
.dataTables_length{
    padding:10px 0;
}
.dataTables_filter input{
    margin-left:5px;
    border-radius: 7px;
    -moz-border-radius:7px;
    -webkit-border-radius:7px;
}
.dataTables_paginate, .dataTables_info{
    text-align:center;
    padding:5px;
}
.dataTables_paginate{
    border-bottom:solid 1px #333;
}
.dataTables_scrollBody{
    min-height: 200px;
}
.tabellaDataTable *{
    font-size: 0.75rem;
}
.tabellaDataTable .dtsb-searchBuilder{
    background: #f1f1f1;
    padding:10px;
    margin-bottom: 20px;
}
.tabellaDataTable .dtsb-title{
    font-size: 1rem !important;
}
.paginate_button{
    border: solid 1px #1b3147;
    margin: 3px;
    padding:2px;
    color: #1b3147;
}
.paginate_button:hover{
    color: black;
    cursor: pointer;
}
.current{
    background-color: #1b3147;
    color: white;
}
.paginate_button .current:hover{
    color: white;
}

.comingSoon{
    height: 100vh;
    width: 100%;
    animation:animatedBackground 3s infinite;
    color: #fff;
    position: absolute;
    top: 0;
    left: 0;
    display: grid;
    justify-content: center;
    align-items: center;
}

.table td{
    vertical-align: middle;
}
@keyframes animatedBackground {
    0% {
        background: #465046;
    }
    50% {
        background: #42364f;
    }
    100% {
        background: #465046;
    }
}
@media (min-width: 1400px) {
    .container {
        max-width: 1340px;
    }
}
/* per il loader */
.loader,
.loader:after {
    border-radius: 50%;
    width: 10em;
    height: 10em;
}
.loader {
    color: #1b3147;
    font-size: 20px;
    margin: 100px auto;
    width: 1em;
    height: 1em;
    border-radius: 50%;
    position: relative;
    text-indent: -9999em;
    -webkit-animation: load4 1.3s infinite linear;
    animation: load4 1.3s infinite linear;
    -webkit-transform: translateZ(0);
    -ms-transform: translateZ(0);
    transform: translateZ(0);
}
/*spinner*/
@-webkit-keyframes load4 {
    0%,
    100% {
        box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
    }
    12.5% {
        box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
    }
    25% {
        box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
    }
    37.5% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 0, 2em 2em 0 0.2em, 0 3em 0 0em, -2em 2em 0 -1em, -3em 0em 0 -1em, -2em -2em 0 -1em;
    }
    50% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0em, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0em 0 -1em, -2em -2em 0 -1em;
    }
    62.5% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
    }
    75% {
        box-shadow: 0em -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0.2em, -2em -2em 0 0;
    }
    87.5% {
        box-shadow: 0em -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0, -2em -2em 0 0.2em;
    }
}
@keyframes load4 {
    0%,
    100% {
        box-shadow: 0 -3em 0 0.2em, 2em -2em 0 0em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 0;
    }
    12.5% {
        box-shadow: 0 -3em 0 0, 2em -2em 0 0.2em, 3em 0 0 0, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
    }
    25% {
        box-shadow: 0 -3em 0 -0.5em, 2em -2em 0 0, 3em 0 0 0.2em, 2em 2em 0 0, 0 3em 0 -1em, -2em 2em 0 -1em, -3em 0 0 -1em, -2em -2em 0 -1em;
    }
    37.5% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 0, 2em 2em 0 0.2em, 0 3em 0 0em, -2em 2em 0 -1em, -3em 0em 0 -1em, -2em -2em 0 -1em;
    }
    50% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 0em, 0 3em 0 0.2em, -2em 2em 0 0, -3em 0em 0 -1em, -2em -2em 0 -1em;
    }
    62.5% {
        box-shadow: 0 -3em 0 -1em, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 0, -2em 2em 0 0.2em, -3em 0 0 0, -2em -2em 0 -1em;
    }
    75% {
        box-shadow: 0em -3em 0 -1em, 2em -2em 0 -1em, 3em 0em 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0.2em, -2em -2em 0 0;
    }
    87.5% {
        box-shadow: 0em -3em 0 0, 2em -2em 0 -1em, 3em 0 0 -1em, 2em 2em 0 -1em, 0 3em 0 -1em, -2em 2em 0 0, -3em 0em 0 0, -2em -2em 0 0.2em;
    }
}

/* fine spinner */

.swiper {
    width: 100%;
    height: 100%;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.swiper-button-next, .swiper-button-prev{
    color:#4b84a1 !important;
}
.swiper-pagination-bullet-active {
    background: #4b84a1 !important;
}